Bug 20013 - use Modern::Perl in Reserves perl scripts
Summary: use Modern::Perl in Reserves perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: jwayway
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 19:49 UTC by Aleisha Amohia
Modified: 2018-02-16 01:00 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug-20013: use Modern::Perl in Reserve perl script (1.79 KB, patch)
2018-01-18 00:43 UTC, jwayway
Details | Diff | Splinter Review
Bug-20013: use Modern::Perl in Reserve perl script (1.84 KB, patch)
2018-01-23 12:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20013: use Modern::Perl in Reserve perl script (1.91 KB, patch)
2018-02-04 13:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 19:49:57 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
modrequest.pl
modrequest_suspendall.pl
placerequest.pl
Comment 1 jwayway 2018-01-18 00:43:47 UTC
Created attachment 70655 [details] [review]
Bug-20013: use Modern::Perl in Reserve perl script

Test plan:
Check the following files that use strict; use warnings; doesn't exist
and use Modern::Perl; is written instead.
modrequest.pl
modrequest_suspendall.pl
placerequest.pl
Comment 2 Owen Leonard 2018-01-23 12:55:09 UTC
Created attachment 70824 [details] [review]
Bug-20013: use Modern::Perl in Reserve perl script

Test plan:
Check the following files that use strict; use warnings; doesn't exist
and use Modern::Perl; is written instead.
modrequest.pl
modrequest_suspendall.pl
placerequest.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2018-02-04 13:26:15 UTC
Created attachment 71185 [details] [review]
Bug 20013: use Modern::Perl in Reserve perl script

Test plan:
Check the following files that use strict; use warnings; doesn't exist
and use Modern::Perl; is written instead.
modrequest.pl
modrequest_suspendall.pl
placerequest.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-05 12:59:45 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-16 01:00:16 UTC
Awesome work all! Enhancement not backported to stable.